Overview | Modules | Class Hierarchy | Classes | Members

# tlp::MouseSelectionEditor Class Reference

`#include <MouseSelectionEditor.h>`

Inherits tlp::InteractorComponent.

Inheritance diagram for tlp::MouseSelectionEditor:

[legend]
Collaboration diagram for tlp::MouseSelectionEditor:

[legend]
List of all members.

## Detailed Description

This interactor allows to move/rotate/stretch the current selection layout.

## Public Member Functions

- MouseSelectionEditor ()
- ~MouseSelectionEditor ()
- bool compute (GlMainWidget *glMainWidget)
- bool draw (GlMainWidget *)
- bool eventFilter (QObject *, QEvent *)
- InteractorComponent * clone ()

## Constructor & Destructor Documentation

tlp::MouseSelectionEditor::MouseSelectionEditor | ( |  | ) |

tlp::MouseSelectionEditor::~MouseSelectionEditor | ( |  | ) | `[inline]`

## Member Function Documentation

InteractorComponent* tlp::MouseSelectionEditor::clone | ( |  | ) | `[inline, virtual]`

| Clone this interactor component Implements tlp::InteractorComponent.

bool tlp::MouseSelectionEditor::compute | ( | GlMainWidget * | glMainWidget | ) | `[virtual]`

| This function compute the interactor visual feedback Reimplemented from tlp::InteractorComponent.

bool tlp::MouseSelectionEditor::draw | ( | GlMainWidget * |  | ) | `[virtual]`

| This function draw interactor Reimplemented from tlp::InteractorComponent.

bool tlp::MouseSelectionEditor::eventFilter | ( | QObject * | ,
|  | QEvent * |
| ) |

Tulip Software by LaBRI Visualization Team 2001 - 2010